xcb_dpms_capable(3)

NAME
xcb_dpms_capable -

SYNOPSIS
#include <xcb/dpms.h>

  Request function

xcb_dpms_capable_cookie_t xcb_dpms_capable(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_dpms_capable_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  capable;
    uint8_t  pad1[23];
} xcb_dpms_capable_reply_t;

  Reply function

xcb_dpms_capable_reply_t *xcb_dpms_capable_reply(xcb_connection_t *conn, xcb_dpms_capable_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DPMS_CAPABLE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

capable
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dpms_capable_cookie_t. Errors have to be handled when calling the reply function xcb_dpms_capable_reply.

If you want to handle errors in the event loop instead, use xcb_dpms_capable_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dpms.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.